$item-background-color: rgba(223, 223, 223, 0.712);
$item-background-alt-color: rgba(201, 201, 198, 0.76);
$contained-item-background-color: rgb(179, 179, 179);
$contained-item-background-alt-color: rgb(172, 172, 172);

.selected_item {
    background-color: #82ab82 !important;
}

.item-magic-checks,
.power-telepathic-types {
    flex: 0 0 24px;
    overflow: hidden;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
}

.sheet.item {
    min-width: 500px;
    min-height: 470px;

    select {
        width: 97%;
        padding-top: 1px;
        padding-bottom: 1px;
        margin-left: 2px;
        margin-right: 2px;
    }

    .item-skill-modifier-column.li {
        border: 1px groove black;
    }

    // .general-properties-row:after {
    //     content: '';
    //     display: table;
    //     clear: both;
    // }

    .item-check-label {
        margin-top: auto;
        margin-bottom: auto;
        margin-right: 5px;
    }
    .skill-mod-field {
        flex-basis: 60px;
        flex-grow: 0;
        text-align: center;
        font-size: 0.99em;
        input {
            margin: 3px 0;
            border-bottom: none;
        }
    }

    .weapon-ammo-label {
        display: flex;
        justify-content: space-between;
        align-items: center;
        /* Ensuring the label spans the full width of its container */
        width: 100%;

        input.weapon-ammo-infinite {
            width: 12px;
            height: 10px;
            margin-left: auto; /* This pushes the checkbox to the far right */
        }
    }
}

.icon-row {
    .icon {
        border: 0px;
        filter: brightness(0);
    }
}

.sheet-body .item-header-weapon {
    // margin: 0 0 0.5rem;
    text-align: center;
    padding: 0;
    font-weight: normal;
}

.item-list.combat-memorization-block > li {
    padding: 4px;
    font-size: 0.85em;
    border-radius: 6px;
    margin-bottom: 2px;
    box-shadow: 6px 8px 8px rgba(0, 0, 0, 0.2);
}

.item-titles,
.item-list {
    list-style: none;
    margin: 0px;
    padding: 1px 0;

    #context-menu li.context-item {
        background: #23221d;
        background-color: #23221d;
    }

    li:nth-of-type(odd) {
        background-color: $item-background-color;
    }

    li:nth-of-type(even) {
        background-color: $item-background-alt-color;
    }

    .item-container-collapsed {
        flex: 0 0 8px;
        height: 8px;
        background-size: 8px;
        border: none;
        margin-right: 1px;
        flex-shrink: 1;
    }

    // combat tab, memorized spell collapse/expand
    .memslot-collapse {
        margin: auto;
    }
    .memslot-expanded {
        margin-bottom: 10px;
    }

    .initiative-roll-speed {
        flex-grow: 0;
        flex-basis: 25px;
    }

    // items in a container specifics.
    .in-container {
        margin-left: 10px;

        // li {
        //   background-color: $contained-item-background-color;
        // }

        li:nth-of-type(odd) {
            background-color: $contained-item-background-color;
        }

        li:nth-of-type(even) {
            background-color: $contained-item-background-alt-color;
        }

        li:first-of-type::before {
            height: 50%;
            top: 0;
        }

        li:last-of-type::after {
            border: none;
        }

        .item {
            position: relative;

            &::before,
            &::after {
                position: absolute;
                border-left: 1px solid black;
                top: 0;
                height: 50%;
                left: -5px;
                width: 5px;
                content: '';
            }

            &::before {
                border-bottom: 1px solid black;
                top: 0;
            }

            &::after {
                top: 50%;
            }
        }
    }

    .item-header {
        font-weight: normal;
        font-size: var(--font-size-13);
        background: var(--ars_purple_dark);
        padding: 3px 5px;
        border-radius: 5px;
        color: white;
    }

    .class-rank-header {
        margin-bottom: 10px;
    }

    .item-subheader {
        font-weight: bold;
        font-size: var(--font-size-12);
        margin-top: 5px;
    }

    .item {
        height: 25px;
        line-height: 24px;
        padding: 1px 0;
        border-bottom: 1px solid #bbb;

        .item-name {
            flex: 2;
            margin: 0;
            overflow: hidden;
            font-size: 1.01em;
            text-align: left;
            align-items: center;
        }
        .item-check-label .item-name {
            cursor: pointer;
            &.rollable:hover .item-image {
                background-image: url('../../icons/svg/d20-grey.svg') !important;
            }
            &.rollable .item-image:hover {
                background-image: url('../../icons/svg/d20-black.svg') !important;
            }
        }

        .item-image {
            flex: 0 0 24px;
            height: 24px;
            background-size: 24px;
            border: none;
            margin-right: 5px;
            margin-top: 1px;
            flex-shrink: 1;
            border-radius: 5px;
        }

        .icon-row {
            .tooltip {
                position: relative;
                display: inline-block;
            }

            .tooltip .tooltip-text {
                visibility: hidden;
                background-color: black;
                color: white;
                text-align: center;
                border-radius: 3px;
                padding: 2px 2px;

                position: absolute;
                z-index: 1;
            }

            .tooltip:hover .tooltip-text {
                visibility: visible;
            }
        }
    }
    li.item:hover,
    .item-entry:hover {
        background-color: var(--ars_yellow);
        transition: all 0.3s ease;
        transform: scale(1.01); /* Slightly increases the size */
    }
}

.rank-grid {
    padding-bottom: 10px;
}

.item {
    .item-header-input,
    .item-header-titles {
        .short-number {
            flex-shrink: 1;
        }
        .short-text {
            flex-shrink: 2;
        }
        .longer-number {
            flex-grow: 2;
        }
    }
}

.inventory {
    .item-location {
        flex-basis: 25px;
        flex-grow: 0;
        text-align: center;
        align-items: center;
    }

    .item-quantity-control {
        border: 1px solid rgb(184, 184, 184);
        border-radius: 5px;
        height: 27px;
    }
    .item-boolean {
        flex-basis: 15px;
        flex-grow: 0;
        text-align: center;
        align-items: center;
        .item-magic,
        .item-identified {
            font-size: 0.85em;
            // width: 10px;
            // height: 10px;
        }
    }
    .item-name {
        flex: 2;
        margin: 0;
        overflow: hidden;
        font-size: 1.01em;
        text-align: left;
        align-items: center;
    }
    .magic {
        color: darkblue;
    }
    .gm-unidentified {
        color: red;
    }
}

// .item-name {
//   flex: 2;
//   margin: 0;
//   overflow: hidden;
//   font-size: 13px;
//   text-align: left;
//   align-items: center;
// }

.short-field {
    flex-basis: 25px;
    flex-grow: 0;
    text-align: center;
    font-size: 0.99em;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    &.quantity {
        display: flex;
        input {
            margin: 3px 0;
            border-bottom: none;
        }
    }
}

.medium-field {
    flex-basis: 55px;
    flex-grow: 0;
    text-align: center;
    font-size: 0.99em;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    &.quantity {
        display: flex;
        input {
            margin: 3px 0;
            border-bottom: none;
        }
    }
}

a.item-control.item-create {
    margin-right: 7px;
}

.item-context-controls {
    flex: 0 0 50px;
    font-size: 1.5em;
    // flex-grow: 0;
    text-align: center;
    // padding-left: 10px;
    // padding-right: 15px;
    cursor: pointer;
    // transition: all 0.3s ease;
}
// .item-context-controls:hover {
//     transform: scale(1.4); /* Slightly increases the size */
// }
// modify menu from context control
.modify-context-menu {
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    border: 1px solid #ddd;
    border-radius: 10px; /* Rounded borders */
    background-color: white;
    position: absolute;
    z-index: 1000;
    .action {
        border-radius: 10px; /* Rounded borders */
        padding: 5px;
        cursor: pointer;
        transition: all 0.3s ease;
    }
    .action:hover {
        transform: scale(1.1); /* Slightly increases the size */
        background-color: #f0f0f0;
    }
}

.item-controls {
    flex: 0 0 50px;
    text-align: right;
}
.item-controls.effect-controls {
    flex: 0 0 60px;
}

.item-spell {
    font-size: 1.01em;

    // .spell-details-label {

    // }

    .spell-details-input {
        flex-grow: 2;
    }

    .spell-details-block {
        padding: 3px;
    }

    .spell-component-grid {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 3px;
        grid-auto-rows: minmax(10px, auto);
        width: 50px;
    }

    .spell-component {
        font-size: 0.99em;
        margin: auto;
        width: 15px;
        height: 15px;
        text-align: center;
        align-content: center;
    }
}

//--------------

// .ars.sheet.item {
//   min-height: 400px;
//   max-height: 95%;
//   min-width: 480px;

//   /* ----------------------------------------- */
//   /*  Sheet Header                             */
//   /* ----------------------------------------- */

//   .sheet-header {
//     img.profile {
//       border: 2px solid #000;
//     }

//     .item-subtitle {
//       flex: 0 0 100px;
//       height: 60px;
//       margin: 0;
//       padding: 5px;
//       text-align: right;
//       color: tan;

//       .item-type {
//         font-size: 24px;
//         line-height: 26px;
//         margin: 0;
//       }

//       .item-status {
//         font-size: 16px;
//         line-height: 24px;
//       }
//     }
//   }

//   .sheet-navigation {
//     margin-bottom: 5px;
//     .item {
//       font-size: 18px;
//     }
//   }

//   .sheet-body {
//     overflow: hidden;

//     .tab {
//       padding: 0 5px;
//       overflow: hidden auto;
//     }

//     .item-properties {
//       flex: 0 0 120px;
//       margin: 5px 5px 5px 0;
//       padding-right: 5px;
//       border-right: groove;

//       .form-group {
//         margin: 0;
//         label {
//           line-height: 20px;
//         }
//         input {
//           text-align: right;
//         }
//       }

//       .properties-list {
//         list-style: none;
//         margin: 0;
//         padding: 0;

//         li {
//           margin: 3px 0;
//           padding: 0 2px;
//           background: rgba(0, 0, 0, 0.05);
//           border: groove;
//           text-align: center;
//           font-size: 12px;
//           line-height: 18px;
//         }
//       }
//     }
//   }

//   /* ----------------------------------------- */
//   /*  Item Details Form                        */
//   /* ----------------------------------------- */

//   .details {

//     // Item Sheet form fields
//     input[type="text"],
//     input[type="number"],
//     select {
//       height: 24px;
//       border: 1px solid tan;
//       background: rgba(0, 0, 0, 0.05);
//     }

//     .form-group {
//       span {
//         text-align: center;
//         line-height: 24px;
//       }
//     }

//     .form-group.input-select {
//       select {
//         flex: 1.8;
//       }
//     }

//     .form-group.input-select-select {
//       select {
//         flex: 1.5;
//       }
//     }

//     .form-group.uses-per {
//       .form-fields {
//         flex-wrap: nowrap;
//       }
//       input {
//         flex: 0 0 32px;
//       }
//       span {
//         flex: 0 0 16px;
//         margin: 0 4px 0 0;
//       }
//     }
//     span.sep {
//       flex: 0 0 8px;
//     }

//     .prepared {
//       flex: 1.3 !important;
//       text-align: right;
//       padding-right: 10px;
//     }

//     // Spell Materials
//     .spell-materials {
//       flex: 0 0 100%;
//       margin: 0.25em 0;
//       justify-content: flex-end;
//       label {
//         flex: 0 0 64px;
//         text-align: right;
//         margin-right: 5px;
//         font-size: 12px;
//         line-height: 24px;
//       }
//       input[type="text"] {
//         flex: 0 0 48px;
//         margin-right: 10px;
//       }
//     }
//   }

//   /* ----------------------------------------- */
//   /*  Item Actions                             */
//   /* ----------------------------------------- */

//   h4.damage-header {
//     margin: 0;
//     padding: 0;
//     font-weight: bold;
//     line-height: 24px;
//     color: olive;
//   }

//   .damage-parts {
//     list-style: none;
//     margin: 0;
//     padding: 0;

//     .damage-part {
//       flex: 0 0 100%;
//       padding: 0;
//       input {
//         flex: 3;
//       }
//       select {
//         margin-left: 5px;
//         flex: 1;
//       }
//     }
//   }

//   .damage-control {
//     width: 18px;
//     flex: 0 0 18px;
//     line-height: 24px;
//     float: right;
//     text-align: right;
//     color: tan;
//   }

//   .recharge.form-group {
//     span {
//       text-align: right;
//       padding-right: 3px;
//     }
//     input[type="text"] {
//       flex: 0 0 32px;
//       text-align: center;
//     }
//     label.checkbox {
//       flex: none;
//       input {
//         width: 16px;
//         height: 16px;
//         top: 4px;
//       }
//     }
//   }

//   /* ----------------------------------------- */
//   /*  Item Actions                             */
//   /* ----------------------------------------- */

//   .weapon-properties label.checkbox {
//     flex: 0 0 98px;
//   }

//   /* ----------------------------------------- */
//   /*  Loot Sheet (No Tabs)                     */
//   /* ----------------------------------------- */

//   .loot-header {
//     margin-bottom: 10px;
//   }
// }

.item-spell {
    // display: flex;
    // justify-content: center;
    // align-items: center;
    border: 1px groove;
    border-radius: 5px;
    margin-top: 1px;
    margin-bottom: 1px;
    margin-right: 2px;
    margin-left: 2px;
}

// icons for items in trade windows
.trade-item {
    .item-image {
        flex-basis: 25px;
        flex-grow: 0;
        font-size: 0.99em;
        padding-right: 3px;
        img {
            vertical-align: middle;
            border: none;
        }
    }
}
